{ pkgs, ... }:

{
  home.packages = with pkgs; [ git-crypt ];

  programs.git =
    let
      package = pkgs.git.override { withLibsecret = true; };
    in
    {
      enable = true;
      package = package;
      userName = "Martin Berg Alstad";
      userEmail = "git@martials.no";

      aliases = {
        amend = "commit --amend";
        cm = "commit";
        s = "status";
      };

      signing = {
        signByDefault = true;
        key = "848D71DE0590C199";
      };

      extraConfig = {
        push.autoSetupRemote = true;
        safe.directory = "/etc/nixos";
        credential.helper = "${package}/bin/git-credential-libsecret";
      };
    };
}
