{ pkgs, ... }:

{
  environment.systemPackages = with pkgs; [
    # IDEs
    jetbrains.rust-rover
    jetbrains.webstorm
    jetbrains.rider
    vscodium # TODO set up extensions
    # Tools
    dotnet-sdk_9
    dotnet-aspnetcore_9
    git
    rustup
    nodejs_22
    pnpm
    just
    gcc # Required for C, Rust and others
    # Language servers
    nixd
    nil
    # Formatters
    nixfmt-rfc-style
    treefmt
    nodePackages.prettier
    shfmt
  ];

  virtualisation.docker = {
    enable = true;
    storageDriver = "btrfs";
    rootless = {
      enable = true;
      setSocketVariable = true;
    };
  };

  services.ollama = {
    enable = true;
  };
}
